### Name: Moran's eigenvectors
### Title: Computes Moran's eigenvectors from a tree or a phylogenetic
###   proximity matrix
### Aliases: orthobasis.phylo me.phylo
### Keywords: manip

### ** Examples


## make a tree
x <- rtree(50)

## compute Moran's eigenvectors
ME <- me.phylo(x, met="Abouheif")
ME

## plot the 10 first vectors
obj <- phylo4d(x, as.data.frame(ME[,1:10]))
table.phylo4d(obj, cex.sym=.7, cex.lab=.7)

## removing phylogenetic autocorrelation in a model ##
example(ungulates, package="adephylo")

lm1
resid1 <- residuals(lm1)
orthogram(resid1, tre) # residuals are autocorrelated

## compute Moran's eigenvectors (ME)
myME <- me.phylo(tre, method="Abou")
lm2 <- lm(neonatw ~ myME[,1] + afbw) # use for ME as covariable
resid2 <- residuals(lm2)
orthogram(resid2, tre) # there is no longer phylogenetic autocorrelation 

## see the difference
table.phylo4d(phylo4d(tre, cbind.data.frame(resid1, resid2)))




