### Name: tithonia
### Title: Phylogeny and quantitative traits of flowers
### Aliases: tithonia
### Keywords: datasets

### ** Examples

data(tithonia)
tre <- read.tree(text=tithonia$tre)
traits <- log(tithonia$tab + 1)

## build a phylo4d object
x <- phylo4d(tre, traits)
par(mar=rep(.1,4))
table.phylo4d(x)

## perform a Geary/Moran test to detect phylogenetic signal in variables
if(require(ade4)){

## use branch length to define proximities
prox1 <- proxTips(tre, method="patristic")
gearymoran(prox1, traits)

## use Abouheif's proximity
prox2 <- proxTips(tre, method="Abouheif")
gearymoran(prox2, traits)
}



